Bug 183990 - [PATCH] mail/p5-Email-Sender: update to 1.300006
Summary: [PATCH] mail/p5-Email-Sender: update to 1.300006
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-15 10:30 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2013-12-01 18:00 UTC (History)
1 user (show)

See Also:


Attachments
p5-Email-Sender-1.300006.patch (4.55 KB, patch)
2013-11-15 10:30 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2013-11-15 10:30:03 UTC
- Update to 1.300006
- Remove leading indefinite article from COMMENT
- Support STAGEDIR

Changes:	http://search.cpan.org/dist/Email-Sender/Changes

Port maintainer (bill.brinzer@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_10 (mode: update, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-11-15 10:30:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-11-15 10:30:18 UTC
Maintainer of mail/p5-Email-Sender,

Please note that PR ports/183990 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183990

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-11-15 10:30:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2013-11-15 10:35:40 UTC
Responsible Changed
From-To: perl->sunpoet

I'll take it.
Comment 5 Bill Brinzer 2013-11-28 02:58:40 UTC
Patch looks good to me, thanks!

Bill Brinzer

On Fri, Nov 15, 2013 at 5:30 AM, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of mail/p5-Email-Sender,
>
> Please note that PR ports/183990 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183990
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2013-12-01 17:58:37 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2013-12-01 17:58:38 UTC
Author: sunpoet
Date: Sun Dec  1 17:58:31 2013
New Revision: 335417
URL: http://svnweb.freebsd.org/changeset/ports/335417

Log:
  - Update to 1.300006
  - Remove leading indefinite article from COMMENT
  - Support STAGEDIR
  
  Changes:	http://search.cpan.org/dist/Email-Sender/Changes
  PR:		ports/183990
  Submitted by:	sunpoet (myself)
  Approved by:	Bill Brinzer <bill.brinzer@gmail.com> (maintainer)

Modified:
  head/mail/p5-Email-Sender/Makefile
  head/mail/p5-Email-Sender/distinfo   (contents, props changed)
  head/mail/p5-Email-Sender/pkg-plist   (contents, props changed)

Modified: head/mail/p5-Email-Sender/Makefile
==============================================================================
--- head/mail/p5-Email-Sender/Makefile	Sun Dec  1 17:56:14 2013	(r335416)
+++ head/mail/p5-Email-Sender/Makefile	Sun Dec  1 17:58:31 2013	(r335417)
@@ -2,24 +2,30 @@
 # $FreeBSD$
 
 PORTNAME=	Email-Sender
-PORTVERSION=	0.120001
+PORTVERSION=	1.300006
 CATEGORIES=	mail perl5
 MASTER_SITES=	CPAN
+MASTER_SITE_SUBDIR=	CPAN:RJBS
 PKGNAMEPREFIX=	p5-
 
 MAINTAINER=	bill.brinzer@gmail.com
-COMMENT=	A library for sending email
+COMMENT=	Library for sending email
+
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
 
 BUILD_DEPENDS=	p5-Email-Abstract>=3:${PORTSDIR}/mail/p5-Email-Abstract \
 		p5-Email-Address>=0:${PORTSDIR}/mail/p5-Email-Address \
 		p5-Email-Simple>=1.998:${PORTSDIR}/mail/p5-Email-Simple \
 		p5-List-MoreUtils>=0:${PORTSDIR}/lang/p5-List-MoreUtils \
-		p5-Moose>=0.70:${PORTSDIR}/devel/p5-Moose \
+		p5-Module-Runtime>=0:${PORTSDIR}/devel/p5-Module-Runtime \
+		p5-Moo>=1.000008:${PORTSDIR}/devel/p5-Moo \
+		p5-MooX-Types-MooseLike>=0.15:${PORTSDIR}/devel/p5-MooX-Types-MooseLike \
+		p5-Sub-Exporter>=0:${PORTSDIR}/devel/p5-Sub-Exporter \
 		p5-Sys-Hostname-Long>=0:${PORTSDIR}/sysutils/p5-Sys-Hostname-Long \
 		p5-Try-Tiny>=0:${PORTSDIR}/lang/p5-Try-Tiny \
-		p5-Throwable>=0.100090:${PORTSDIR}/devel/p5-Throwable
+		p5-Throwable>=0.200003:${PORTSDIR}/devel/p5-Throwable
 RUN_DEPENDS:=	${BUILD_DEPENDS}
-
 TEST_DEPENDS=	p5-Capture-Tiny>=0.08:${PORTSDIR}/devel/p5-Capture-Tiny \
 		p5-Sub-Override>=0:${PORTSDIR}/devel/p5-Sub-Override \
 		p5-Test-MockObject>=0:${PORTSDIR}/devel/p5-Test-MockObject
@@ -27,32 +33,6 @@ TEST_DEPENDS=	p5-Capture-Tiny>=0.08:${PO
 USES=		perl5
 USE_PERL5=	configure
 
-MAN3=	Email::Sender.3 \
-	Email::Sender::Failure.3 \
-	Email::Sender::Failure::Multi.3 \
-	Email::Sender::Failure::Permanent.3 \
-	Email::Sender::Failure::Temporary.3 \
-	Email::Sender::Manual.3 \
-	Email::Sender::Manual::QuickStart.3 \
-	Email::Sender::Role::CommonSending.3 \
-	Email::Sender::Role::HasMessage.3 \
-	Email::Sender::Simple.3 \
-	Email::Sender::Success.3 \
-	Email::Sender::Success::Partial.3 \
-	Email::Sender::Transport.3 \
-	Email::Sender::Transport::DevNull.3 \
-	Email::Sender::Transport::Failable.3 \
-	Email::Sender::Transport::Maildir.3 \
-	Email::Sender::Transport::Mbox.3 \
-	Email::Sender::Transport::Print.3 \
-	Email::Sender::Transport::SMTP.3 \
-	Email::Sender::Transport::SMTP::Persistent.3 \
-	Email::Sender::Transport::Sendmail.3 \
-	Email::Sender::Transport::Test.3 \
-	Email::Sender::Transport::Wrapper.3 \
-	Email::Sender::Util.3
-
-NO_STAGE=	yes
 .include <bsd.port.pre.mk>
 
 .if ${PERL_LEVEL} < 501400

Modified: head/mail/p5-Email-Sender/distinfo
==============================================================================
--- head/mail/p5-Email-Sender/distinfo	Sun Dec  1 17:56:14 2013	(r335416)
+++ head/mail/p5-Email-Sender/distinfo	Sun Dec  1 17:58:31 2013	(r335417)
@@ -1,2 +1,2 @@
-SHA256 (Email-Sender-0.120001.tar.gz) = 235fece008a97106faeb6c92e6464e924fefc6960da8f27542d000e146d56523
-SIZE (Email-Sender-0.120001.tar.gz) = 41796
+SHA256 (Email-Sender-1.300006.tar.gz) = 860fd72a906f1de8755d7e9c791a1d2517229a997c4612199d949eb0857cfbff
+SIZE (Email-Sender-1.300006.tar.gz) = 43381

Modified: head/mail/p5-Email-Sender/pkg-plist
==============================================================================
--- head/mail/p5-Email-Sender/pkg-plist	Sun Dec  1 17:56:14 2013	(r335416)
+++ head/mail/p5-Email-Sender/pkg-plist	Sun Dec  1 17:58:31 2013	(r335417)
@@ -23,6 +23,30 @@
 %%SITE_PERL%%/Email/Sender/Transport/Wrapper.pm
 %%SITE_PERL%%/Email/Sender/Util.pm
 %%SITE_PERL%%/%%PERL_ARCH%%/auto/Email/Sender/.packlist
+%%PERL5_MAN3%%/Email::Sender.3.gz
+%%PERL5_MAN3%%/Email::Sender::Failure.3.gz
+%%PERL5_MAN3%%/Email::Sender::Failure::Multi.3.gz
+%%PERL5_MAN3%%/Email::Sender::Failure::Permanent.3.gz
+%%PERL5_MAN3%%/Email::Sender::Failure::Temporary.3.gz
+%%PERL5_MAN3%%/Email::Sender::Manual.3.gz
+%%PERL5_MAN3%%/Email::Sender::Manual::QuickStart.3.gz
+%%PERL5_MAN3%%/Email::Sender::Role::CommonSending.3.gz
+%%PERL5_MAN3%%/Email::Sender::Role::HasMessage.3.gz
+%%PERL5_MAN3%%/Email::Sender::Simple.3.gz
+%%PERL5_MAN3%%/Email::Sender::Success.3.gz
+%%PERL5_MAN3%%/Email::Sender::Success::Partial.3.gz
+%%PERL5_MAN3%%/Email::Sender::Transport.3.gz
+%%PERL5_MAN3%%/Email::Sender::Transport::DevNull.3.gz
+%%PERL5_MAN3%%/Email::Sender::Transport::Failable.3.gz
+%%PERL5_MAN3%%/Email::Sender::Transport::Maildir.3.gz
+%%PERL5_MAN3%%/Email::Sender::Transport::Mbox.3.gz
+%%PERL5_MAN3%%/Email::Sender::Transport::Print.3.gz
+%%PERL5_MAN3%%/Email::Sender::Transport::SMTP.3.gz
+%%PERL5_MAN3%%/Email::Sender::Transport::SMTP::Persistent.3.gz
+%%PERL5_MAN3%%/Email::Sender::Transport::Sendmail.3.gz
+%%PERL5_MAN3%%/Email::Sender::Transport::Test.3.gz
+%%PERL5_MAN3%%/Email::Sender::Transport::Wrapper.3.gz
+%%PERL5_MAN3%%/Email::Sender::Util.3.gz
 @dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Email/Sender
 @dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Email
 @dirrmtry %%SITE_PERL%%/Email/Sender/Transport/SMTP
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"